Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.security
Class SpringProviderAdapter

    java.lang.Object
      org.mule.security.AbstractSecurityProvider
          org.mule.module.spring.security.SpringProviderAdapter

All Implemented Interfaces:
  Initialisable, NamedObject, SecurityProvider, org.springframework.security.providers.AuthenticationProvider

    public class SpringProviderAdapter

extends AbstractSecurityProvider
implements org.springframework.security.providers.AuthenticationProvider

`AcegiProviderAdapter` is a wrapper for an Acegi Security provider to use with the SecurityManager

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`SpringProviderAdapter()` For Spring IoC only
`SpringProviderAdapter(org.springframework.security.AuthenticationManager delegate)`
`SpringProviderAdapter(org.springframework.security.AuthenticationManager delegate, String name)`

Method Summary
`Authentication` | `authenticate(Authentication authentication)`
`org.springframework.security.Authentication` | `authenticate(org.springframework.security.Authentication authentication)`
`protected void` | `doInitialise()`
`SpringAuthenticationProvider` | `getAuthenticationProvider()`
`org.springframework.security.AuthenticationManager` | `getDelegate()`
`Map` | `getSecurityProperties()`
`void` | `setAuthenticationProvider(SpringAuthenticationProvider authenticationProvider)`
`void` | `setDelegate(org.springframework.security.AuthenticationManager delegate)`
`void` | `setSecurityProperties(Map securityProperties)`

Methods inherited from class org.mule.security.AbstractSecurityProvider
`createSecurityContext, getName, getSecurityContextFactory, initialise, setName, setSecurityContextFactory, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.security.providers.AuthenticationProvider
`supports`

Constructor Detail

### SpringProviderAdapter

    public SpringProviderAdapter()

  For Spring IoC only

### SpringProviderAdapter

    public SpringProviderAdapter(org.springframework.security.AuthenticationManager delegate)

### SpringProviderAdapter

    public SpringProviderAdapter(org.springframework.security.AuthenticationManager delegate,
                                 String name)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractSecurityProvider`
  Throws:
    `InitialisationException`

### authenticate

    public Authentication authenticate(Authentication authentication)
                                throws SecurityException

  Specified by:
    `authenticate` in interface `SecurityProvider`
  Throws:
    `SecurityException`

### authenticate

    public org.springframework.security.Authentication authenticate(org.springframework.security.Authentication authentication)
                                                             throws org.springframework.security.AuthenticationException

  Specified by:
    `authenticate` in interface `org.springframework.security.providers.AuthenticationProvider`
  Throws:
    `org.springframework.security.AuthenticationException`

### getDelegate

    public org.springframework.security.AuthenticationManager getDelegate()

### setDelegate

    public void setDelegate(org.springframework.security.AuthenticationManager delegate)

### getSecurityProperties

    public Map getSecurityProperties()

### setSecurityProperties

    public void setSecurityProperties(Map securityProperties)

### getAuthenticationProvider

    public SpringAuthenticationProvider getAuthenticationProvider()

### setAuthenticationProvider

    public void setAuthenticationProvider(SpringAuthenticationProvider authenticationProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.